rosbag2_bagfile_information:
  version: 9
  storage_identifier: mcap
  duration:
    nanoseconds: 88851701303
  starting_time:
    nanoseconds_since_epoch: 1749051534341075258
  message_count: 102911
  topics_with_message_count:
    - topic_metadata:
        name: /obstacle_detection/blurred_risk_map
        type: obstacle_detection_msgs/msg/RiskMap
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_55838eb73c132f890e50dacc079015476f4a4cee084886efdac1becb93f994c6
      message_count: 880
    - topic_metadata:
        name: /obstacle_detection/blurred_risk_map_rviz
        type: nav_msgs/msg/OccupancyGrid
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_8d348150c12913a31ee0ec170fbf25089e4745d17035792a1ba94d6f0bc0cfc7
      message_count: 880
    - topic_metadata:
        name: /dlio/odom_node/odom
        type: nav_msgs/msg/Odometry
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_3cc97dc7fb7502f8714462c526d369e35b603cfc34d946e3f2eda2766dfec6e0
      message_count: 8797
    - topic_metadata:
        name: /obstacle_detection/risk_map_rviz
        type: nav_msgs/msg/OccupancyGrid
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_8d348150c12913a31ee0ec170fbf25089e4745d17035792a1ba94d6f0bc0cfc7
      message_count: 880
    - topic_metadata:
        name: /ublox_gps_node/navpvt
        type: ublox_msgs/msg/NavPVT
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_ef0f0118d33da08a0d5e8e7caf6b9337177d4a90ede2dd43fdcc605c14fe5ff9
      message_count: 89
    - topic_metadata:
        name: /obstacle_detection/averaged_positive_obstacle_grid
        type: nav_msgs/msg/OccupancyGrid
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_8d348150c12913a31ee0ec170fbf25089e4745d17035792a1ba94d6f0bc0cfc7
      message_count: 880
    - topic_metadata:
        name: /obstacle_detection/aggregated_risk_map_rviz
        type: nav_msgs/msg/OccupancyGrid
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_8d348150c12913a31ee0ec170fbf25089e4745d17035792a1ba94d6f0bc0cfc7
      message_count: 880
    - topic_metadata:
        name: /ouster/imu_packets
        type: ouster_sensor_msgs/msg/PacketMsg
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: best_effort
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_c21822af66817068b0850f02afb1a8bba77ec79cd412a2a3aaecddc108022032
      message_count: 8796
    - topic_metadata:
        name: /obstacle_detection/aggregated_risk_map
        type: obstacle_detection_msgs/msg/RiskMap
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_55838eb73c132f890e50dacc079015476f4a4cee084886efdac1becb93f994c6
      message_count: 880
    - topic_metadata:
        name: /ublox_gps_node/fix
        type: sensor_msgs/msg/NavSatFix
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_62223ab3fe210a15976021da7afddc9e200dc9ec75231c1b6a557fc598a65404
      message_count: 89
    - topic_metadata:
        name: /jackal_velocity_controller/odom
        type: nav_msgs/msg/Odometry
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_3cc97dc7fb7502f8714462c526d369e35b603cfc34d946e3f2eda2766dfec6e0
      message_count: 4439
    - topic_metadata:
        name: /tf
        type: tf2_msgs/msg/TFMessage
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_e369d0f05a23ae52508854b66f6aa0437f3449d652e8cbf22d5abe85d020f087
      message_count: 4149
    - topic_metadata:
        name: /obstacle_detection/dilated_positive_obstacle_grid
        type: nav_msgs/msg/OccupancyGrid
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_8d348150c12913a31ee0ec170fbf25089e4745d17035792a1ba94d6f0bc0cfc7
      message_count: 880
    - topic_metadata:
        name: /obstacle_detection/positive_obstacle_grid
        type: nav_msgs/msg/OccupancyGrid
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_8d348150c12913a31ee0ec170fbf25089e4745d17035792a1ba94d6f0bc0cfc7
      message_count: 880
    - topic_metadata:
        name: /ouster/points
        type: sensor_msgs/msg/PointCloud2
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: best_effort
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_9198cabf7da3796ae6fe19c4cb3bdd3525492988c70522628af5daa124bae2b5
      message_count: 801
    - topic_metadata:
        name: /tf_static
        type: tf2_msgs/msg/TFMessage
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
          - history: unknown
            depth: 0
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_e369d0f05a23ae52508854b66f6aa0437f3449d652e8cbf22d5abe85d020f087
      message_count: 2
    - topic_metadata:
        name: /ouster/imu
        type: sensor_msgs/msg/Imu
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: best_effort
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_7d9a00ff131080897a5ec7e26e315954b8eae3353c3f995c55faf71574000b5b
      message_count: 8796
    - topic_metadata:
        name: /obstacle_detection/feature_points
        type: visualization_msgs/msg/Marker
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_45b13ccf791f225962bf74e746f9644518855d783a6f42ba0cc14fde2b4f3ce0
      message_count: 880
    - topic_metadata:
        name: /ublox_gps_node/fix_velocity
        type: geometry_msgs/msg/TwistWithCovarianceStamped
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_77b67434531e6529b7a0091357b186b6ebdb17fd9ffd3e0c7ce9d3fb11a44563
      message_count: 89
    - topic_metadata:
        name: /obstacle_detection/combined_map_rviz
        type: nav_msgs/msg/OccupancyGrid
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_8d348150c12913a31ee0ec170fbf25089e4745d17035792a1ba94d6f0bc0cfc7
      message_count: 880
    - topic_metadata:
        name: /obstacle_detection/combined_map
        type: obstacle_detection_msgs/msg/RiskMap
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_55838eb73c132f890e50dacc079015476f4a4cee084886efdac1becb93f994c6
      message_count: 880
    - topic_metadata:
        name: /obstacle_detection/risk_map
        type: obstacle_detection_msgs/msg/RiskMap
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_55838eb73c132f890e50dacc079015476f4a4cee084886efdac1becb93f994c6
      message_count: 880
    - topic_metadata:
        name: /ouster/metadata
        type: std_msgs/msg/String
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: reliable
            durability: transient_local
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_df668c740482bbd48fb39d76a70dfd4bd59db1288021743503259e948f6b1a18
      message_count: 1
    - topic_metadata:
        name: /ouster/lidar_packets
        type: ouster_sensor_msgs/msg/PacketMsg
        serialization_format: cdr
        offered_qos_profiles:
          - history: unknown
            depth: 0
            reliability: best_effort
            durability: volatile
            deadline:
              sec: 9223372036
              nsec: 854775807
            lifespan:
              sec: 9223372036
              nsec: 854775807
            liveliness: automatic
            liveliness_lease_duration:
              sec: 9223372036
              nsec: 854775807
            avoid_ros_namespace_conventions: false
        type_description_hash: RIHS01_c21822af66817068b0850f02afb1a8bba77ec79cd412a2a3aaecddc108022032
      message_count: 56303
  compression_format: ""
  compression_mode: ""
  relative_file_paths:
    - rosbag2_2025_06_04-11_38_54_0.mcap
  files:
    - path: rosbag2_2025_06_04-11_38_54_0.mcap
      starting_time:
        nanoseconds_since_epoch: 1749051534341075258
      duration:
        nanoseconds: 88851701303
      message_count: 102911
  custom_data: ~
  ros_distro: jazzy